//starry sky 

textures/ut4_crapchute/cc_starsky
{
	qer_editorimage env/ut4_crapchute/purplenebula_ft.tga
	skyparms env/ut4_crapchute/purplenebula 1024 -

	q3map_sunEXT 1 0.9 1 70 90 90 1 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 20 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}

//metal for chutes, red and blue; slick, no damage

textures/ut4_crapchute/cc_chute_b
{
        qer_editorimage textures/ut4_crapchute/pr_metal059b.jpg
        surfaceparm slick
        surfaceparm nodamage
        {
                map textures/ut4_crapchute/pr_metal059b.jpg
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_crapchute/cc_chute_r
{
        qer_editorimage textures/ut4_crapchute/pr_metal059r.jpg
        surfaceparm slick
        surfaceparm nodamage
        {
                map textures/ut4_crapchute/pr_metal059r.jpg
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//glass slippery,no damage, no bounce

textures/ut4_crapchute/cc_glass_slip
{
	qer_editorimage textures/ut4_crapchute/shiny3.tga
	surfaceparm lightfilter
	surfaceparm nodamage
	surfaceparm slick
	qer_trans 0.5
	q3map_bounce .1
     
        {
		map textures/ut4_crapchute/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}  
}

//glass: no damage, not slippery

textures/ut4_crapchute/cc_glass_noslip
{
	qer_editorimage textures/ut4_crapchute/shiny3.tga
	surfaceparm lightfilter
	surfaceparm nodamage	
	qer_trans 0.5
	q3map_bounce .1
     
        {
		map textures/ut4_crapchute/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}  
}

//metal for floors, walls, supports; no damage

textures/ut4_crapchute/cc_girder
{
	qer_editorimage textures/ut4_crapchute/soc_032-10a.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_crapchute/soc_032-10a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_crapchute/cc_mfloor_b
{
	qer_editorimage textures/ut4_crapchute/pr_metal026b.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_crapchute/pr_metal026b.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_crapchute/cc_mfloor_r
{
	qer_editorimage textures/ut4_crapchute/pr_metal026r.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_crapchute/pr_metal026r.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_crapchute/cc_mfloor_g
{
	qer_editorimage textures/ut4_crapchute/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_crapchute/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_crapchute/cc_posts
{
	qer_editorimage textures/ut4_crapchute/pr_trim03.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_crapchute/pr_trim03.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//Alpha'd blocks for floors 2-5; no damage

textures/ut4_crapchute/cc_gblock
{
	qer_editorimage textures/ut4_crapchute/sn_cinderblock1.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm metalsteps		
	cull none
	nopicmip

	{
		map textures/ut4_crapchute/sn_cinderblock1.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//glassblock base floors, no damage

textures/ut4_crapchute/cc_gbfloor_b
{
	qer_editorimage textures/ut4_crapchute/pr_glassblock04b.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_crapchute/pr_glassblock04b.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}	

textures/ut4_crapchute/cc_gbfloor_r
{
	qer_editorimage textures/ut4_crapchute/pr_glassblock04r.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_crapchute/pr_glassblock04r.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}	

//Ladderclip from UrT

textures/ut4_crapchute/cc_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//plasma tubes

//glow plasma

textures/ut4_crapchute/cc_plasma3
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_crapchute/plasma_prp.tga
	q3map_surfacelight 300

	deformVertexes bulge 1 1 .5
// jiggle amount
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_crapchute/plasma_prp.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prpc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prp.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prp.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

//non-light emitting plasma

textures/ut4_crapchute/cc_plasma_dim
{
	qer_editorimage textures/ut4_crapchute/plasma_prp2.tga
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime
	surfaceparm fog

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	q3map_surfacelight 300
	fogparms ( 0.4 0.1 0.4 ) 2048
     
	deformVertexes bulge 0.9 0.9 0.5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_crapchute/plasma_prp2.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prpc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prp2.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prp2.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// dim plasma, no fog

textures/ut4_crapchute/cc_plasma_dnf
{
	qer_editorimage textures/ut4_crapchute/plasma_prp2.tga
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	q3map_surfacelight 300
     
	deformVertexes bulge 0.9 0.9 0.5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_crapchute/plasma_prp2.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prpc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prp2.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute/plasma_prp2.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_crapchute/cc_plasmacaulk
{
qer_editorimage textures/ut4_crapchute/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

//Fence, Alpha'd, from Urban_terror.shader and urban_terror2 textures

textures/ut4_crapchute/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ut4_crapchute/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Lighting
//From crossing; altered for use

textures/ut4_crapchute/cc_panel_10k
{
	qer_editorimage textures/ut4_crapchute/xing_panel.tga
	surfaceparm nomarks 
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//nonsolid chute numbers

textures/ut4_crapchute/cc_cht1
{
	qer_editorimage textures/ut4_crapchute/ut4cc_1.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute/ut4cc_1.tga
	}
}

textures/ut4_crapchute/cc_cht2
{
	qer_editorimage textures/ut4_crapchute/ut4cc_2.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300
     
        {
		map textures/ut4_crapchute/ut4cc_2.jpg
	}  
}

textures/ut4_crapchute/cc_cht3
{
	qer_editorimage textures/ut4_crapchute/ut4cc_3.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300
     
        {
		map textures/ut4_crapchute/ut4cc_3.jpg
	}  
}

textures/ut4_crapchute/cc_cht4
{
	qer_editorimage textures/ut4_crapchute/ut4cc_4.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300
     
        {
		map textures/ut4_crapchute/ut4cc_4.jpg
	}  
}

textures/ut4_crapchute/cc_cht5
{
	qer_editorimage textures/ut4_crapchute/ut4cc_5.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300
     
        {
		map textures/ut4_crapchute/ut4cc_5.jpg
	}  
}

//glow level numbers

textures/ut4_crapchute/cc_lev1
{
	qer_editorimage textures/ut4_crapchute/ut4cc_lev1.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute/ut4cc_lev1.tga
	}
}

textures/ut4_crapchute/cc_lev2
{
	qer_editorimage textures/ut4_crapchute/ut4cc_lev2.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute/ut4cc_lev2.tga
	}
}

textures/ut4_crapchute/cc_lev3
{
	qer_editorimage textures/ut4_crapchute/ut4cc_lev3.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute/ut4cc_lev3.tga
	}
}

textures/ut4_crapchute/cc_lev4
{
	qer_editorimage textures/ut4_crapchute/ut4cc_lev4.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute/ut4cc_lev4.tga
	}
}

textures/ut4_crapchute/cc_lev5
{
	qer_editorimage textures/ut4_crapchute/ut4cc_lev5.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute/ut4cc_lev5.tga
	}
}

//soc txts

textures/ut4_crapchute/cc_pipe1
{
	qer_editorimage textures/ut4_crapchute/soc_spring3.tga
	surfaceparm nonsolid	
        {
		map textures/ut4_crapchute/soc_spring3.tga
	}
}

textures/ut4_crapchute/cc_grate1
{
	qer_editorimage textures/ut4_crapchute/soc_grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ut4_crapchute/soc_grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_crapchute/cc_lig_01y1-2k
{
	qer_editorimage textures/ut4_crapchute/soc_032lig10ya.tga
	q3map_lightimage textures/ut4_crapchute/soc_032lig10y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_crapchute/soc_032lig10ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_032lig10y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_crapchute/cc_s128b
{
	qer_editorimage textures/ut4_crapchute/soc_sqrlig01ba.tga
	q3map_lightimage textures/ut4_crapchute/soc_sqrlig01b.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_sqrlig01ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_sqrlig01b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_crapchute/cc_s128r
{
	qer_editorimage textures/ut4_crapchute/soc_sqrlig01ra.tga
	q3map_lightimage textures/ut4_crapchute/soc_sqrlig01r.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_sqrlig01ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_sqrlig01r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_crapchute/cc_lig_b3
{
	qer_editorimage textures/ut4_crapchute/soc_octlig01bc.tga
	q3map_lightimage textures/ut4_crapchute/soc_sqrlig02b2.blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_octlig01bc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_sqrlig02b2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_crapchute/cc_lig_r3
{
	qer_editorimage textures/ut4_crapchute/soc_octlig01rc.tga
	q3map_lightimage textures/ut4_crapchute/soc_sqrlig02r2.blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_octlig01rc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute/soc_sqrlig02r2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

//**********************************************************************//
//									//
// FLOOR 10A								//
//									//
// Jump Pads - 1 rot swirl + 1 jumppad stretch				//
//**********************************************************************//
textures/ut4_crapchute/cc_jpblue
{
	qer_editorimage textures/ut4_crapchute/soc_jp01c.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_b.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_crapchute/soc_blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_crapchute/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_crapchute/cc_jpgold
{
	qer_editorimage textures/ut4_crapchute/soc_jp01c.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_g.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_crapchute/soc_gold_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_crapchute/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_crapchute/cc_jpred
{
	qer_editorimage textures/ut4_crapchute/soc_jp01c.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_r.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_crapchute/soc_red_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_crapchute/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//teleport orbs

textures/ut4_crapchute/cc_orbblue
{
	qer_editorimage textures/ut4_crapchute/soc_zplasma_blueflow.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_b.tga
	surfaceparm nonsolid
	surfaceparm nomarks	
	q3map_surfacelight 2000
	qer_trans 0.6
	{
		map textures/ut4_crapchute/soc_zplasma_blueflow.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_crapchute/cc_orbgold
{
	qer_editorimage textures/ut4_crapchute/soc_zplasma_goldflow.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_g.tga
	surfaceparm nonsolid
	surfaceparm nomarks	
	q3map_surfacelight 2000
	qer_trans 0.6
	{
		map textures/ut4_crapchute/soc_zplasma_goldflow.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_crapchute/cc_orbred
{
	qer_editorimage textures/ut4_crapchute/soc_zplasma_redflow.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_r.tga
	surfaceparm nonsolid
	surfaceparm nomarks	
	q3map_surfacelight 2000
	qer_trans 0.6
	{
		map textures/ut4_crapchute/soc_zplasma_redflow.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ladder fusion
textures/ut4_crapchute/cc_beamblue
{
	qer_editorimage textures/ut4_crapchute/soc_zplasma_blueflow.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_b.tga	
	q3map_surfacelight 2000
	{
		map textures/ut4_crapchute/soc_zplasma_blueflow.tga
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_crapchute/cc_beamred
{
	qer_editorimage textures/ut4_crapchute/soc_zplasma_redflow.tga
	q3map_lightimage textures/ut4_crapchute/soc_jumppadsmall_r.tga	
	q3map_surfacelight 2000
	{
		map textures/ut4_crapchute/soc_zplasma_redflow.tga
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Wily's animated levelshot

levelshots/ut4_crapchute_rc3
{
	nopicmip
	{
		animmap 1 levelshots/ut4_crapchute_rc3/seq5.tga levelshots/ut4_crapchute_rc3/seq1.tga levelshots/ut4_crapchute_rc3/seq7.tga levelshots/ut4_crapchute_rc3/seq3.tga levelshots/ut4_crapchute_rc3/seq8.tga levelshots/ut4_crapchute_rc3/seq5.tga levelshots/ut4_crapchute_rc3/seq7.tga levelshots/ut4_crapchute_rc3/seq1.tga
	}
	{
		map levelshots/ut4_crapchute_rc3/ut4cc_foreground.tga
		blendfunc gl_one gl_src_alpha
		depthfunc equal
	}
}